Bug 190054 - [i18n] Thai line-breaking support in Firefox
[i18n] Thai line-breaking support in Firefox
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-04-27 00:27 EDT by Isriya Paireepairit
Modified: 2007-12-20 11:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 11:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 7969 None None None Never

  None (edit)
Description Isriya Paireepairit 2006-04-27 00:27:00 EDT
Description of problem:

Since Thai is in complex text language and need to work out in
line-breaking area (in brief, need extra library/dictionary for
line-breaking). This makes Mozilla.org to delay complete solution for
line-breaking related issues in Mozilla product (Firefox,
Thunderbird). Browser without line-breaking is nearly unusable for
Thai people.

Now there are some patches available using various approach. 
Ubuntu Dapper has included the patch that using libthai already. This patch
should work with Fedora as well and enable this patch in next version of Fedora
must benefit use in Thailand.

Additional info:

- Bugzilla issue is #7969
- Libthai patch is attachment #218666
- This issue is also discussed on fedora-i18n mailing list
Comment 1 Isriya Paireepairit 2006-05-14 23:25:07 EDT
My team successfully applie patch 220509 to custom build Firefox for FC5. The
RPM is available for test at
http://ftp.opentle.org/people/mrchoke/fedora/fc5/RPMS.main/. Libthai package is
need as dependency (no need for libthai-dev).

Now how could we do next for include this patch to FC Firefox? Libthai package
is rarely changed and easy to maintain.

- most recent libthai patch
Comment 2 Leon Ho 2006-05-26 03:15:47 EDT
Darshan, can you give it some test and review the patch and let Chris know on
the result?

Isriya, any words from when will mozilla upstream be accepting this patch?
Comment 3 Isriya Paireepairit 2006-05-29 00:38:05 EDT
Mozilla upstream tends to accept "cross-platform-solution" patch (which isn't
available now). I tried to get this patch review first but it may be too late
for Firefox 2.0.
Comment 4 Parag Nemade 2007-06-07 06:10:38 EDT
how to reproduce this bug? Any steps please.
Comment 5 Matěj Cepl 2007-12-20 11:47:58 EST
We just updated the Firefox version in Fedora/development from 2.0 to a 3.0
pre-release version, which improves performance, memory usage, and fixes many
bugs and crashes.

Closing as CANTFIX since we aren't fixing bugs filed against 2.0 now that 3.0 is
in.  If this bug is still present in rawhide using a Firefox 3.0 version, please
re-open this bug.

Thanks and Happy Holidays

Note You need to log in before you can comment on or make changes to this bug.